Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77529

Summary: Installer hangs on "Initializing PC Card Devices"
Product: [Retired] Red Hat Linux Reporter: Need Real Name <gary>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED CURRENTRELEASE QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: bulle, rickrich
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Workaround for installing RH8.0 on some laptops. none

Description Need Real Name 2002-11-08 16:47:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
When trying to install 8.0 from CD on a Sceptre SoundEx 8550 laptop the install
processes halts when trying to initialize pcmcia devices.  This occurs whether
or not there is a pcmcia card inserted.

This machine already has 7.3 on it and the installer for it worked properly. 
This seems very similar to a bugzilla bug I found for the 7.1 installer

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start the installation.
2.
3.
	

Actual Results:  Install freezes (and presumably kernel panic) on "Initializing
PC Card Devices"

Expected Results:  The install should have proceeded

Additional info:

the Alt-F3 screen displays:

...
* found firewire controller ohci1394
* modules to insert ieee1394 ochi1394
* inserted /tmp/ieee1394.o
* inserted /tmp/ohci1394.o
* load module set done
* probing for firewire scsi devices
* no firewire scsi devices found
* probing for floppy devices
* first non-detached floppy is fd0
* system floppy device is fd0
* in startPcmcia()
* found cardbus pci adapter
* need to load yenta_socket
* modules to insert pcmcia_core
* inserted /tmp/pcmcia_core.o
* load module set done
* modules to insert yenta_socket ds

[End of output]

on the Alt-F4 screen:
...
<6>ohci1394_0: OHCI-1394 1.1 (PCI): IRQ=[5] MMIO=[e8004000-e8004800] Max
Packet=[2048]
<7>ieee1304: Host added: Node[00:1034] GUID[00023f190e0024b1]  [Linux OHCI-1394]
<6>Linux Kernel Card Services 3.1.22
<6> options: [pci] [cardbus]
<6>PCI: Assigned IRQ 10 for device 00:04.0
<6>PCI: Sharing IRQ 10 with 01:00.0
<6>PCI: Found IRQ 5 for device 00:04.1
<6>PCI: Sharing IRQ  5 with 00:07.5
<6>PCI: Sharing IRQ 5 with 00:0d.0
<6>IRQ routing conflict for 00:11.0, have irq 11, want irq 5

[End of output]

Comment 1 Michael Fulbright 2002-11-11 15:44:03 UTC
Any ideas arjan?

Comment 2 Michael Fulbright 2002-11-19 18:51:04 UTC
Have you seen similar problems Arjan?

Comment 3 Arjan van de Ven 2002-11-19 19:09:16 UTC
<6>IRQ routing conflict for 00:11.0, have irq 11, want irq 5
that's a bios issue
do you have PNP set to "yes" in the bios ?

Comment 4 Need Real Name 2002-11-19 19:24:39 UTC
The laptop in question does not have a setting for enable/disable PNP.  It is
interesting to note, though, that the 7.3 installer works properly with this
machine.

Comment 5 Bulle 2002-11-30 03:06:47 UTC
I am suffering from this problem aswell. I have a compaq presario 2800 laptop ( 
mobile p4 , 256mb ram ). Immediately after loading /sbin/loader, when the 
installer starts, the computer completely locks upp, at the "Initializing PC 
Card Devies..." step.

This machine had no problems with the redhat 7.3 installer ( it runs redhat 7.3 
right now, happily ). And the install media passes the mediacheck ( done on 
another computer as the laptop freezes due to this bug, even for the media 
check ). The different install options ( noprobe, text etc ) have all been 
tried, but doesnt help in any way.

Some people on the Redhat-install-list mailinglist seems to have had similar 
problems and some have managed to solve it by changing pnp/os and pc-card 
settings in bios. But as in the case described above, this laptop dont have any 
such options in the bios ( there is a VERY limited set of options ).





Comment 6 Rick Richardson 2002-11-30 03:57:32 UTC
Oh, I didn't see this bug when I filed this bug just now:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=78791

I have the same issue with a brand new Toshiba Satellite 1115-S103.
The BIOS on it doesn't let you change much of anything.  I have not tried
loading RH 7.3 on it, but Knoppix 3.1 booted on it AOK.  I am loading
Mandrake 9.0 on it right now.

Comment 7 Rick Richardson 2002-12-01 21:58:39 UTC
Created attachment 87005 [details]
Workaround for installing RH8.0 on some laptops.

Comment 8 Pierre Thonne 2003-01-03 15:51:03 UTC
Same problem with laptop ACER Aspire 1203
Do not have the problem with Laptop Dell Latitude CPi366


Comment 9 Bugzilla owner 2004-09-30 15:40:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/